org.eclipse.gef.dot.internal.ui.conversion

## Class DotColorInfo

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.conversion.DotColorInfo

    public class DotColorInfo
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DotColorInfo(org.eclipse.gef.dot.internal.language.dot.Attribute attribute, org.eclipse.gef.dot.internal.language.color.Color color)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `calculate()`
`void` `calculate(java.lang.String value)`
`java.lang.String` `getColorCode()`
`java.lang.String` `getColorName()`
`java.lang.String` `getColorScheme()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotColorInfo

    public DotColorInfo(org.eclipse.gef.dot.internal.language.dot.Attribute attribute,
                        org.eclipse.gef.dot.internal.language.color.Color color)

### Method Detail

#### calculate

    public void calculate()

#### calculate

    public void calculate(java.lang.String value)

#### getColorScheme

    public java.lang.String getColorScheme()

#### getColorName

    public java.lang.String getColorName()

#### getColorCode

    public java.lang.String getColorCode()